#
# spec file for package openstack-suse
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openstack-suse
Version:        2015.2
Release:        lp151.2.1
Summary:        OpenStack SUSE
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://www.suse.com/products/suse-cloud/
Source1:        macros.openstack
Source2:        openstack-skeleton.init
Source99:       rpmlintrc
Requires:       %{name}-sudo = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       openstack-suse-macros = %{version}
Requires:       openstack-suse-sudo = %{version}
#NOTE(saschpe): We don't provide openstack-common here to not
#               collide with upstream, sorry:
#Provides:       openstack-common = %%{version}
#Obsoletes:      openstack-common < %%{version}

%description
This packages pulls in various other utility packages that are mainly useful
for OpenStack packaging. Some are even only used at build-time.

%package macros
Summary:        OpenStack SUSE - RPM Macros
Group:          Development/Libraries/Python
Provides:       openstack-macros = %{version}
Obsoletes:      openstack-macros < %{version}
Provides:       openstack-common-macros = %{version}
Obsoletes:      openstack-common-macros < %{version}

%description macros
This package provides OpenStack RPM macros. You need it to build OpenStack
packages.

%package sudo
Summary:        OpenStack SUSE - Sudo Support
Group:          Development/Libraries/Python
# For directory ownership:
BuildRequires:  sudo
Requires:       sudo
Provides:       openstack-common-sudo = %{version}
Obsoletes:      openstack-common-sudo < %{version}

%description sudo
OpenStack packages install sudo configuration files for rootwrap binaries
in /etc/sudoers.d. This directory is disabled by default, thus this package
enables it in /etc/sudoers.

%prep

%build

%install
# Make the base package non-empty for now:
echo "OpenStack SUSE" > README

# Macros sub-package
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.openstack
install -D -m755 %{SOURCE2} %{buildroot}%{_initddir}/openstack-skeleton

# compatibility macros for upstream packaging
%if 0%{?suse_version} < 1330
cat - >> %{buildroot}%{_sysconfdir}/rpm/macros.openstack <<EOF
%%__python2 /usr/bin/python2
%%python2_sitelib  %%python_sitelib
EOF
%endif

# Sudo sub-package, SLES sudo doesn't own /etc/sudoers.d, openSUSE-12.2 and later does:
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
install -d %{buildroot}%{_sysconfdir}/sudoers.d
%endif

# SLE_11_SP2 sudo package doesn't include this directory:
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%post sudo
if ! grep -qE "^#includedir /etc/sudoers.d" /etc/sudoers ; then
echo "#includedir /etc/sudoers.d" >> /etc/sudoers
fi

%postun sudo
sed -i "/^includedir \/etc\/sudoers\.d/d" /etc/sudoers
%endif

%files macros
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.openstack
%{_initddir}/openstack-skeleton

%files sudo
%defattr(-,root,root)
# SLE_11_SP2 sudo package doesn't create this directory, thus we have to own it:
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%dir %attr(0750, root, root) %{_sysconfdir}/sudoers.d
%endif

%changelog
* Thu Jul 30 2015 tbechtold@suse.com
- Add %%python2_sitelib and %%python2_sitearch macros
  to me more compatible with other distros
- Remove removal of requirements.txt . This is not needed for C:O:M
  because there are no upper caps.
* Fri Jul 24 2015 seife+obs@b1-systems.com
- fix suse_version macro usage
* Fri Jun 12 2015 dmueller@suse.com
- add a __python2 macro
* Tue Apr 28 2015 dmueller@suse.com
- bump version to 2015.2
* Sat Sep 27 2014 dmueller@suse.com
- bump version to 2015.1
* Thu Aug 28 2014 dmueller@suse.com
- make warnings on doc builds non-fatal
* Thu Apr  3 2014 dmueller@suse.com
- bump version to 2014.2
* Wed Apr  2 2014 dmueller@suse.com
- remove yet another case of magic sed'ing that breaks OpenStack (bnc#871199)
* Mon Mar 24 2014 dmueller@suse.com
- add optional support for -u, -g and -s in creating openstack users
* Wed Feb 19 2014 dmueller@suse.com
- add macro for creating openstack users (and removing the non-prefixed
  variants)
* Thu Feb  6 2014 dmueller@suse.com
- raise version to 2014.1
* Tue Feb  4 2014 speilicke@suse.com
- Drop eventlet_backdoor.py and it's sole usage in oslo-incubator code (bnc#847189#c9)
* Tue Oct 29 2013 aspiers@suse.com
- Add %%openstack_test_package_buildroot_dir to avoid duplication.
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Tue Apr 30 2013 dmueller@suse.com
- fix typo in version number
* Mon Mar 18 2013 dmueller@suse.com
- copy PKG-INFO as well for nova testsuite
* Mon Feb 25 2013 saschpe@suse.de
- Expand openstack_test_package_install macro to include horizon-specific
  files
* Fri Feb 22 2013 saschpe@suse.de
- Renamed to openstack-suse to avoid confusion with upstream openstack-common
* Fri Jan 25 2013 saschpe@suse.de
- (Build)Require sudo in the openstack-commons-sudo package
- Only create /etc/sudoers.d on SLE_11_SP2
* Fri Jan 25 2013 saschpe@suse.de
- Install /etc/sudoers.d on SLE
- Added rpmlintrc
* Thu Jan 24 2013 saschpe@suse.de
- Initial version
